/* General CSS */
html {
  font-family: Arial, Helvetica, sans-serif;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  margin: 0;
  background-image: url(lake.jpg);
  background-size: cover;
}
main {
  flex: 1;
}


h1, img {
  display: inline-block; 
  margin: 0;
  padding: 0;
  line-height: 0;
  width: 100%;
  height: 250px;
}

h2 {
  font-size: 35px;
  text-align: center;
  width: fit-content;
  margin: 10px auto 10px auto;
}

.fishin-search {
  display: flex;
  max-width: 500px;
  margin: 15px 0;
  margin-left: 50px; 
}

.fishin-search input[type="text"] {
  padding: 12px;
  background-color: white;
  border: 2px solid #3d2b1f;
  border-right: none;
  border-radius: 4px 0 0 4px;
  flex-grow: 1;
  border: 5px solid black;
  outline: none;
}

.fishin-search button {
  padding: 10px 25px;
  background-color: forestgreen;
  color: whitesmoke;
  font-weight: bold;
  border: 2px solid #3d2b1f; 
  border-radius: 0 4px 4px 0;
  cursor: pointer;
  border: 5px solid black;
}


/* Homepage CSS */

.navbar {
  display: flex;
  justify-content: space-between; 
  align-items: center;            
  position: sticky;
  top: 0;
  z-index: 1000;
  background-color: darkgreen;
  border: 5px solid black;
  padding: 0 30px;
}

.navbar a {
  display: inline-block;
  font-size: 25px;
  color: white;
  text-align: center;
  text-decoration: none;
  background-color: forestgreen;
  border: 4px solid black;
  border-radius: 8px; 
  padding: 10px 20px;
  margin: 10px 8px;
}


.main-layout {
  display: grid;
  grid-template-columns: 3fr 1fr; 
  justify-content: space-between; 
  width: 95%;  
  max-width: none;
  margin: 0 auto; 
  padding: 20px;
  gap: 100px; 
}

.left-column, .right-column {
  width: 100%;
}

.paragraph-box {
  border: 5px solid black;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 20px;
  text-align: center;
  background-image: url(wood.jpg);
  color: whitesmoke;
  font-size: 35px;
}

.photo-row {
  display: flex;
  justify-content: center;
  width: 100%;
}

.widget-box {
  border: 5px solid black;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 20px;
  text-align: center;
  background-image: url(wood.jpg);
  color: whitesmoke;
  font-size: 35px;
}

.paragraph-box img {
  height: 250px;
  width: 250px;

}

.paragraph-box h2 {
  height: auto;
  width: 100%;
  min-height: 175px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 15px 25px; 
  overflow: hidden;         
  color: white;
  font-size: 25px;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
}
.paragraph-box a {
  height: auto;
  width: 100%;
  min-height: 175px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 15px 25px; 
  overflow: hidden;         
  color: white;
  font-size: 25px;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
}

.widget-box.medium {
  height: auto;
  min-height: 250px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;   
  padding: 20px;          
  box-sizing: border-box; 
  color: white;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
}

.widget-box.medium img { 
  max-width: 100%;        
  height: auto;          
  border-radius: 5px;    
  box-shadow: 0px 4px 8px rgba(0,0,0,0.5);

}


.widget-box.small { 
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
  height: 255px; 
  flex-direction: column; 
  font-size: 23px;
  padding: 15px;
}

.widget-box.tiny {
  height: 50px; 
  width: 150px;
  margin-left: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 10px;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
}

.button-link {
  text-decoration: none;
}
/*page 1 CSS*/ 

.header-controls {
  width: 100%;
  margin: 0 auto;
  display: flex;
}

.forum-wrapper {
  width: 90%;
  max-width: 1200px;
  margin: 40px auto;
  padding: 0 20px;
}

.forum-container {
  width: 100%;
  border: 5px solid black;
  background-image: url(wood.jpg);
  background-size: cover;
  color: whitesmoke;
  box-sizing: border-box;
}

.forum-header {
  display: flex;
  background-color: darkgreen;
  font-weight: bold;
  font-size: 20px;
  padding: 15px;
  border-bottom: 5px solid black;
}

.forum-row {
  display: flex;
  align-items: center;
  padding: 20px 15px;
  border-bottom: 3px solid black;
  background-color: rgba(0, 0, 0, 0.2); 
}

.forum-row:last-child {
  border-bottom: none;
}

.topic-info {
  flex: 3;
  display: flex;
  flex-direction: column;
  text-align: left;
}

.topic-link {
  color: white;
  font-size: 22px;
  font-weight: bold;
  text-decoration: none;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
}

.topic-meta {
  font-size: 14px;
  margin-top: 5px;
}

.col-replies {
  flex: 4;            
  text-align: right; 
  font-size: 18px;
  font-weight: bold;
  margin: 0;          
}

.col-last {
  flex: 1;
  text-align: right;
  font-size: 17px;
}


/* Page 2 CSS Guides */
.guidetitle {
  width: fit-content;
  margin: 0px auto 5px auto;
  padding: 0px
}

.guide {
  font-size: 35px;
  text-align: center;
  border: 5px solid black;
  width: fit-content;
  margin: 10px auto 10px auto;
  background-image: url(wood.jpg);
}

.guidecontent {
  display: none; 
  padding: 15px;
  font-size: 18px;
  color: #333;
  background: #f9f9f9;
  text-align: left;
}

.guidecontainer {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  width: 57%;
  margin: 20px auto;
  align-items: start; 
}

.guide h2 {
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 10px;
}

.guide h2 img {
  width: 30px;
  height: 30px;
}


/* Page 3 CSS */

.photo-description {
  border: 5px solid black;
  background-color: whitesmoke;
  width: fit-content;
  height: fit-content;
  font-size: 20px;
  max-width: 300px;
  background-image: url(wood.jpg);
  border: 5px solid black;
  color: whitesmoke;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
}
.board {
  font-size: 35px;
  text-align: center;
  border: 5px solid black;
  width: fit-content;
  margin: 10px auto 10px auto;
  background-color: white;
}

.upload {
  width: 200px;  
  height: 45px; 
  border: 5px solid black;
  cursor: pointer;
  display: block;
  margin-top: 15px;
  margin-bottom: 10px;
  margin-left: 600px;
  margin-right: auto;  
}

.click {
  border: 5px solid black;
  width: fit-content;
  height: fit-content;
  font-size: 20px;
  max-width: 300px;
  background-image: url(wood.jpg);
  border: 5px solid black;
  color: white;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
  margin-left: 555px;
}

h3 {
  background-size: cover;        
  display: flex;           
  gap: 30px;               
  justify-content: center;
}


.corkboard {
  background-image: url(board.jpg);
  background-size: 100% 100%;
  padding: 50px;
  padding-bottom: 50px;
  display: inline-block;
}

.polaroid {
  width: 300px; 
  height: 300px;
  object-fit: cover; 
  background-color: whitesmoke;
  padding: 15px 15px 40px 15px; 
  box-shadow: 3px 5px 10px rgba(0,0,0,0.3);
}

/* Footer CSS */
footer {
  text-align: center;
  color: white;
  width: 100%;
  background-color: darkgreen !important;
  border-top: 5px solid black; 
  margin-top: auto; 
}

.footersocials {
  display: flex;
  align-items: center;
  justify-content: center;
  align-content: center;
  padding: 10px; 
}

.footersocials img{
  border: 5px solid black;
}

.fa {
  display: inline-flex !important;
  align-items: center;      
  justify-content: center;
  padding: 0;
  margin: 0 5px;
  width: 40px; 
  height: 30px;
  padding-top: 8px; 
  line-height: 0;
  text-decoration: none;
  color: white;
  font-size: 30px;
  border-radius: 5px;
  transition: transform 0.2s;
}

.fa:hover {
  transform: scale(1.1);
  opacity: 0.9;
}


